
Summary: Gnet (Gnutella network) client
Name:	 qtella
Version: 0.7.0 
Release: 0.lvn.1%{?dist_tag} 
Source:	 http://dl.sourceforge.net/qtella/qtella-0.7.0.tar.gz
License: GPL
Group:   Applications/Internet
Url:     http://qtella.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source1: qtella.desktop

# fix for undeclared close(), error
Patch1: qtella-0.7.0-missingfuncs.patch

BuildRequires: desktop-file-utils
BuildRequires: libvorbis-devel
BuildRequires: id3lib-devel
BuildRequires: qt-devel >= 1:3.1
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel | cut -d. -f1,2)
Requires: qt >= 1:%{qt_ver}
BuildRequires: kdelibs-devel >= 6:3.1
%define kdelibs_ver %(rpm -q --qf '%%{version}' kdelibs-devel | cut -d. -f1,2 )
Requires: kdelibs >= 6:%{kdelibs_ver}

## Bogus qt deps
BuildRequires:  XFree86-devel
BuildRequires:  zlib-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel


%description
Qtella is a client for the Gnet with many useful features. Most of
these features are taken from the comments and suggestions of Qtella
users. I want to thank all of these users.


%prep
%setup -q

%patch1 -p1 -b .missingfuncs 


%build
unset QTDIR || : ; . %{_sysconfdir}/profile.d/qt.sh

%configure  \
  --program-prefix="%{?_program_prefix}" \
  --with-kde

# not smp safe
#make %{?_smp_mflags}
make


%install
rm -rf %{buildroot}

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT
#makeinstall


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category "Application" \
  --add-category "X-Fedora" \
  %{SOURCE1} 


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING THANKS ChangeLog
%{_bindir}/%{name}*
%{_datadir}/%{name}/*
%{_datadir}/applications/*.desktop
%{_libdir}/libyahoo*


%changelog
* Fri Aug 06 2004 Rex Dieter <rexdieter at sf.net> 0.7.0-0.lvn.1
- fedora'ize

* Sun May 23 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.7.0-1
- Updated for v0.7.0.

* Fri May 21 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.6.5-2
- Rebuilt for Fedora Core 2.

* Wed May 19 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.6.5-1
- Updated for v0.6.5.

* Tue May 11 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.6.4-1
- Spec file housekeeping - no feature changes

* Mon Dec 29 2003 2003 Robert Rockers <rpm at rockerssoft.com> 0.6.4-0
- Initial RedHat RPM release.

* Fri Feb 10 2003 Robert Rockers <rpm at rockerssoft.com> 0.6.1
- Initial RedHat RPM release.
